/*****************************************************************************/
/*                                                                           */
/* Title: Hidden Markov Model reprint                                        */
/* File: "hmm_prnt.c"                                                        */
/*                                                                           */
/* Author: Michael C. Nechyba                                                */
/* Last modified: 4/16/96                                                    */
/*                                                                           */
/*****************************************************************************/

#include <stdio.h>
#include <math.h>
#include <stdlib.h>
#include <string.h>
#include "matrix.h"
#include "file_io.h"
#include "gen_math.h"
#include "hmm_util.h"
#include "arg.h"

/**************************** Main Program ***********************************/

int main(int argc, char **argv)
{
  HMM *model;
  char *hmm_file = NULL;
  int precision = 15;

  arg_parse(argc, argv,
	    "", "Usage:",
	    "-h %S", &hmm_file, "set hmm file",
	    "-p [%d]", &precision, "set precision [%d]", precision,
	    NULL);

  if(hmm_file == NULL) {
    fprintf(stderr, "No input and/or output file specified.\n");
    exit(-1);
  }

  model = read_hmm(model, hmm_file);
  display_hmm(stdout, model, precision);
}


